curl --request PUT \
--url https://api.tread-horizon.com/v1/jobs/bulk_assign_vendors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vendor_assignments": [
{
"vendor_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
]
}
'{}Assigns a list of multiple Jobs to the given Vendor asynchronously.
This endpoint requires the assign_job permission
curl --request PUT \
--url https://api.tread-horizon.com/v1/jobs/bulk_assign_vendors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vendor_assignments": [
{
"vendor_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
]
}
'{}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Show child attributes
Accepted
The response is of type object.